View Bug Details

IDProjectCategoryView StatusLast Update
0001286DCP-o-matic[All Projects] Featurespublic2018-10-17 19:16
ReporterCarstenAssigned Tocarl 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
PlatformMacOSOS X OS Version10.11
Product Version2.14.0 
Target Version2.14.0Fixed in Version 
Summary0001286: Add 'finish' notifications for long processes
Description

For all time consuming processes that show a progress bar in the lower right, add the option for a notification once the process as finished. That could be DCP Encoding, Export, audio/content analysis.

Could be a simple system beep. Add a checkbox to the end of every progress line 'Notify'. That checkbox could be sticky - so someone who doesn't use it, leaves it unchecked all the time, while someone wanting it could check it, then it will be active for all future jobs until it is deselected again.
Some people may want email notifications. For my personal use, too complicated for that usage, (needs more prefs for email setup, etc.). Could be useful for batch processor, though...

What happens with a system beep when the app is in the background?

  • Carsten
TagsNo tags attached.
Estimated work requiredUnknown

Activities

carl

2018-05-27 22:17

administrator   ~0002463

First go in 1f12c554e58f13fbed38313279c1c5418e0721ca and surrounding commits (2.13.25).

carl

2018-05-28 07:24

administrator   ~0002465

Doesn't quite work right in the the batch converter - the notification email job is started after all other jobs have finished.

carl

2018-05-28 23:56

administrator   ~0002466

Re-fixed in f2dd76c91f1fd314df12d5dff3b736daf783b9b3

Bug History

Date Modified Username Field Change
2018-04-30 13:28 Carsten New Bug
2018-04-30 13:28 Carsten Status new => assigned
2018-04-30 13:28 Carsten Assigned To => carl
2018-05-27 22:17 carl Status assigned => resolved
2018-05-27 22:17 carl Resolution open => fixed
2018-05-27 22:17 carl Note Added: 0002463
2018-05-28 07:24 carl Status resolved => assigned
2018-05-28 07:24 carl Note Added: 0002465
2018-05-28 23:56 carl Status assigned => resolved
2018-05-28 23:56 carl Note Added: 0002466
2018-10-17 19:16 carl Status resolved => closed